> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/traffic/bandwidth-cluster/deletebandwidthclusters.md).

# DeleteBandwidthClusters

## 1. API Description

This API (DeleteBandwidthClusters) is used to delete one or more bandwidth clusters.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

<mark style="color:blue;">Operations are not supported for bandwidth clusters that contains resources.</mark>
{% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name      | Required | Type            | Description                                                                                                          |
| ------------------- | -------- | --------------- | -------------------------------------------------------------------------------------------------------------------- |
| bandwidthClusterIds | Yes      | Array of String | <p>ID list of bandwidth clusters.</p><p>A maximum of 20 bandwidth clusters can be deleted in a single operation.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Delete a bandwidth cluster.**

```json
POST /api/v2/traffic HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteBandwidthClusters
<Common Request Params>

Request:
{
  "bandwidthClusterIds" : ["<bandwidth-cluster-id>"]
}

Response:
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                             | Description                                                                  |
| ---------------- | -------------------------------------- | ---------------------------------------------------------------------------- |
| 409              | INVALID\_CLUSTER\_INSTANCE\_ASSOCIATED | Operations are not supported for bandwidth clusters that contains resources. |
